org.apache.maven.scm.provider.cvslib.cvsjava.command.remove

## Class CvsJavaRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.cvslib.command.remove.AbstractCvsRemoveCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.remove.CvsJavaRemoveCommand

- All Implemented Interfaces:
    Command, CvsCommand

      public class CvsJavaRemoveCommand
      extends AbstractCvsRemoveCommand

  Version:
    $Id: CvsJavaRemoveCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsJavaRemoveCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RemoveScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, List removedFiles)`

    - ### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.remove.AbstractCvsRemoveCommand

      `executeRemoveCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### CvsJavaRemoveCommand

          public CvsJavaRemoveCommand()

  - ### Method Detail

    - #### executeCvsCommand

          protected RemoveScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                          List removedFiles)
                                               throws ScmException

      Specified by:
        `executeCvsCommand` in class `AbstractCvsRemoveCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.